Pinetop-Studios - PSS #5

118 Heater
12/16/2021 04:39 PM - Emalie Limbrick

Status: Completed Start date: 12/16/2021
Priority: Medium Due date:

Assignee: % Done: 0%
Category: Hotel - Interior - Rooms Estimated time: 0.00 hour
Description

Heater doesn't work, blows in cold air from outside only.

History

#1 - 12/19/2021 06:46 AM - Emalie Limbrick

New unit purchased from Amazone - 3.5kW heat kit .. after taxes, $1058.
Unit in 118 came from room 200 - not usable.

Mike to replace 12/21/21

#2 - 01/06/2022 09:00 AM - Sieu Ngo

- Status changed from New to Completed

12/06/2025
